/******************************************************************************
 *            echecs_gestion_fichier_pgn.h                                    *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/*	Fonction de chargement d'une position de jeu en fonction
	d'une liste de coup généré par le site www.echecs.com	*/
#include "echecs_var.h"
#include "echecs_fcts_annexes.h"
#include "echecs_deplacer_piece.h"
#include "g_interface.h"
#include "g_creation_affich_coups.h"

#if !defined(GESTION_FICHIER)
#define GESTION_FICHIER


type_piece recherche_coup_valide (GList * liste_coups_jouables, gint couleur,
				  gchar * coup, gint coup_arrive);
extern void enregistrement_fichier_pgn (gchar * nom_fichier);
extern gchar **extraction_coup_dans_fichier (gchar * ligne_tmp1);
extern gboolean chargement_fichier_pgn (gchar * filename, gchar *** contents);
int recherche_coup_arrive (gchar * coup);
type_piece recherche_piece_a_jouer (gchar * coup, gint coup_arrive);
extern void traduction_insertion_coup (gchar * coup, gpointer data);
extern gint incorporation_pgn_dans_jeu (gchar * nom_fichier);

#endif
